Subject: Recovery Within Connection - Command Restart

From: "shaileshm" <[email-masked]>
Date: Wed, 19 Dec 2001 14:06:44 -0800

1.	The draft says a) Requests not acknowledged for a long time.....
Does the SCSI timeout's introduce the notion of time, or does iscsi has
to have timeout's at the transport layer. Also for detecting connection
failures don't the NOP's have to be timed.
2.	Request not acknowledged would be most of the time due to a
header digest errors at the target end. If the header is bad how would
one know at the target, that this was a command PDU v/s a Data PDU,
since the target will have to implement a command scoreboard if it is a
command PDU.
3.	Usage of Reject PDU talks about Reject on Command PDU : however
the error codes for Reject PDU do not indicate a command PDU error.
4.	Is the recovery R2T different from the usual R2T.
 
These things are not clear from the draft !
 
Shailesh Manjrekar.